@ECHO OFF
REM Batch file for: Unzipping all Animated Software Co. products
REM Batch file name: INSTALL.BAT
REM Version: 2.1
REM Last modification date of this batch file: 930921
REM Written by Russell D. Hoffman,  The Animated Software Co.
REM Modified by Russell D. Hoffman
CLS
IF %1.==. GOTO INFO2
IF %1==? GOTO INFO2
IF %2.==. GOTO INFO2
IF %2==? GOTO INFO2
IF EXIST %1PKUNZIP.EXE GOTO PARMSOK2
ECHO **********************************************************************       
ECHO ***     This batch file lets you UNZIP (decompress) programs from  ***
ECHO ***               The Animated Software Company.                   ***
ECHO **********************************************************************       
ECHO     ******  E  R  R  O  R  ******
ECHO     %1PKUNZIP.EXE 
ECHO     Has not been found.  This is
ECHO     needed to run this batch file.
ECHO     PKUNZIP.EXE is a SHAREWARE 
ECHO     product from:
ECHO     PKWARE, 9025 N. Deerwood Dr.
ECHO     Brown Deer, WI 53223
ECHO     Phone numbers for PKWARE are:
ECHO     Voice: (414) 354-8699
ECHO     BBS:   (414) 354-8670
ECHO     FAX:   (414) 354-8559
ECHO     ******  *  *  *  *  *  ******
PAUSE
GOTO INFO2
:PARMSOK2
IF %1.==. GOTO NO2GIVEN
IF EXIST %1*.ZIP GOTO ZIPSTHERE
ECHO **********************************************************************       
ECHO ***     This batch file lets you UNZIP (decompress) programs from  ***
ECHO ***               The Animated Software Company.                   ***
ECHO **********************************************************************       
ECHO     ******  E  R  R  O  R  ******
ECHO     There are no .ZIP files in:
ECHO     %1
ECHO     to extract.
GOTO ATWO
:NO2GIVEN
ECHO **********************************************************************       
ECHO ***     This batch file lets you UNZIP (decompress) programs from  ***
ECHO ***               The Animated Software Company.                   ***
ECHO **********************************************************************       
ECHO     ******  E  R  R  O  R  ******
:ATWO
ECHO     Be sure you have entered a
ECHO     valid drive and/or path 
ECHO     for the location of the
ECHO     zipped files.
ECHO     If they are on the current
ECHO     drive in the current directory,
ECHO     enter the drive letter and a colon.
ECHO     ******  *  *  *  *  *  ******
PAUSE
GOTO INFO2
:ZIPSTHERE
if %2.==. GOTO NOTHREE
IF %2==a: GOTO PARMSOK
IF %2==A: GOTO PARMSOK
IF %2==b: GOTO PARMSOK
IF %2==B: GOTO PARMSOK
IF %2==c: GOTO PARMSOK
IF %2==C: GOTO PARMSOK
IF %2==d: GOTO PARMSOK
IF %2==D: GOTO PARMSOK
IF %2==e: GOTO PARMSOK
IF %2==E: GOTO PARMSOK
IF %2==f: GOTO PARMSOK
IF %2==F: GOTO PARMSOK
IF %2==g: GOTO PARMSOK
IF %2==G: GOTO PARMSOK
IF %2==h: GOTO PARMSOK
IF %2==H: GOTO PARMSOK
IF %2==i: GOTO PARMSOK
IF %2==I: GOTO PARMSOK
IF %2==j: GOTO PARMSOK
IF %2==J: GOTO PARMSOK
IF %2==k: GOTO PARMSOK
IF %2==K: GOTO PARMSOK
IF %2==l: GOTO PARMSOK
IF %2==L: GOTO PARMSOK
:NOTHREE
ECHO **********************************************************************       
ECHO ***     This batch file lets you UNZIP (decompress) programs from  ***
ECHO ***               The Animated Software Company.                   ***
ECHO **********************************************************************       
ECHO     ******  E  R  R  O  R  ******
ECHO    The destination drive must
ECHO    be A: through L: 
ECHO    You cannot specify a
ECHO    destination path.
ECHO    The path will be \P11.
ECHO     ******  *  *  *  *  *  ******
PAUSE
GOTO INFO2
:PARMSOK
CLS
ECHO **********************************************************************       
ECHO ***     This batch file lets you UNZIP (decompress) programs from  ***
ECHO ***               The Animated Software Company.                   ***
ECHO ***  Everything will be put in the \P11 path on the target drive.  ***
ECHO ****************************  N O T E:  ******************************
ECHO   Some compressed files contain duplicate filenames.  As you do this
ECHO   install you may get an number of "duplicate file--overwrite?" messages
ECHO   from PKUNZIP.EXE.  This is NORMAL.
ECHO   The question should ALWAYS be answered "y" (yes) so that you ensure
ECHO   having the latest version, and because otherwise in some cases you
ECHO   may get a PKUNZIP error which will stop processing.
ECHO   However, if you are already a P11 user and have created files with
ECHO   the exact same names in the same directories prior to this install,
ECHO   you may indeed overwrite your work (so back up your work files first!)
ECHO   And, last but not least, if we make a major change and you later
ECHO   install an earlier version you got hold of somewhere, you may loose
ECHO   some options, so check the creation dates of our ZIP files if you
ECHO   are unsure.  And please:  Contact us directly and immediately if you
ECHO   have any problems!  We can probably help you and will certainly try!
ECHO   ----Russell D. Hoffman, Owner and Chief Programmer, 
ECHO       The Animated Software Company
ECHO  America Online:RUSSELL DH  Compuserve:71333,721  Phone:(800)551-2726
PAUSE
IF NOT EXIST %1RUN&CAT.ZIP GOTO NOT1
ECHO UNPACKING RUN&CAT.ZIP--CONTAINS A BATCH FILE FOR RUNNING OUR PROCUCTS
ECHO AND A CATALOG OF AVAILABLE FILES...
IF NOT EXIST %2\P11\RUN.BAT GOTO NORUN
DEL %2\P11\RUN.BAT
:NORUN
IF NOT EXIST %2\P11\SYSTEM\CATALOG.BAT GOTO NOCAT
DEL %2\P11\SYSTEM\CATALOG.BAT
:NOCAT
%1PKUNZIP.EXE %1RUN&CAT.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT1
IF NOT EXIST %1MCGADEMO.ZIP GOTO NOT2
ECHO UNPACKING MCGADEMO.ZIP--AN ANIMATED 256-COLOR DEMO CONTAINING LOADS OF
ECHO EXCITING AND EDUCATIONAL ANIMATIONS...
%1PKUNZIP.EXE %1MCGADEMO.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT2
IF NOT EXIST %1MCGADEM2.ZIP GOTO NOT3
ECHO UNPACKING MCGADEM2.ZIP--LARGER FRAMES AND MORE ANIMATIONS FOR OUR
ECHO 256-COLOR ANIMATED DEMO (PART 1 IS CALLED MCGADEMO.ZIP)...
IF NOT EXIST %2\P11\DEMO\README GOTO NOMRME
DEL %2\P11\DEMO\README
:NOMRME
IF NOT EXIST %2\P11\DEMO\README.BAT GOTO NOMRBME
DEL %2\P11\DEMO\README.BAT
:NOMRBME
%1PKUNZIP.EXE %1MCGADEM2.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT3
IF NOT EXIST %1PISTON.ZIP GOTO NOT4
ECHO UNPACKING PISTON.ZIP--AN ANIMATED LESSON SHOWING HOW A PISTON ENGINE
ECHO WORKS.  USES 256-COLOR GRAPHICS...
%1PKUNZIP.EXE %1PISTON.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT4
IF NOT EXIST %1HEART.ZIP GOTO NOT5
ECHO UNPACKING HEART.ZIP--AN ANIMATED LESSON ABOUT THE HUMAN HEART.
ECHO THIS DEMO USES 256-COLOR GRAPHICS...
%1PKUNZIP.EXE %1HEART.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT5
IF NOT EXIST %1HORSE.ZIP GOTO NOT6
ECHO UNPACKING HORSE.ZIP--AN ANIMATED LESSON ABOUT HORSE GAITS, DRAWN FROM 
ECHO EADWEARD MUYBRIDGE'S PHOTOGRAPHS. USES 256-COLOR GRAPHICS...
%1PKUNZIP.EXE %1HORSE.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT6
IF NOT EXIST %1LINESHOW.ZIP GOTO NOT7
ECHO UNPACKING LINESHOW.ZIP--AN INTERACTIVE ART PROGRAM FOR CHILDREN
ECHO FROM 4 TO 140.  USES 4-COLOR CGA OR VGA 256-COLOR GRAPHICS...
%1PKUNZIP.EXE %1LINESHOW.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT7
IF NOT EXIST %1XMASSHOW.ZIP GOTO NOT8
ECHO UNPACKING XMASSHOW.ZIP--AN ANIMATED CGA 4-COLOR CHRISTMAS SHOW...
%1PKUNZIP.EXE %1XMASSHOW.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT8
IF NOT EXIST %1PIANO.ZIP GOTO NOT9
ECHO UNPACKING PIANO.ZIP--A TOOLBOX TYPE PROGRAM FOR WRITING SONGS ON YOUR PC.
ECHO INCLUDES SOUND EFFECTS.  NEEDS CGA 4-COLOR GRAPHICS....
%1PKUNZIP.EXE %1PIANO.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT9
IF NOT EXIST %1CGADEMO.ZIP GOTO NOT10
ECHO UNPACKING CGADEMO.ZIP--AN ANIMATED 4-COLOR DEMO SHOWING HORSE GAITS,
ECHO HEART BEATS, AND MUCH MORE...
IF NOT EXIST %2\P11\DEMO\README GOTO NOCRME
DEL %2\P11\DEMO\README
:NOCRME
IF NOT EXIST %2\P11\DEMO\README.BAT GOTO NOCRBME
DEL %2\P11\DEMO\README.BAT
:NOCRBME
%1PKUNZIP.EXE %1CGADEMO.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT10
IF NOT EXIST %1GETTYSBU.ZIP GOTO NOT11
ECHO UNPACKING GETTYSBU.ZIP--LINCOLN'S COMPLETE ADDRESS IS SCROLLED UP THE
ECHO SCREEN.  USES 4-COLOR CGA OR 256-COLOR MCGA MODE...
%1PKUNZIP.EXE %1GETTYSBU.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT11
IF NOT EXIST %1ECGADEMO.ZIP GOTO NOT12
ECHO UNPACKING ECGADEMO.ZIP--AN ANIMATED 16-COLOR EXTENDED CGA DEMO.  REQUIRES
ECHO TANDY OR TECMAR 16-COLOR GRAPHICS (ECGA IS NOT EGA MODE!)...
IF NOT EXIST %2\P11\DEMO\README GOTO NOERME
DEL %2\P11\DEMO\README
:NOERME
IF NOT EXIST %2\P11\DEMO\README.BAT GOTO NOERBME
DEL %2\P11\DEMO\README.BAT
:NOERBME
%1PKUNZIP.EXE %1ECGADEMO.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT12
IF NOT EXIST %1LABELER.ZIP GOTO NOT13
ECHO UNPACKING LABELER.ZIP--A PROGRAM FOR CREATING LASER-PRINTED LABELS.
ECHO INCLUDES SERIALIZATION, DROP-IN LOGOS, 4 FONT SIZES, 3.5 OR 5.25 INCH...
%1PKUNZIP.EXE %1LABELER.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT13
IF NOT EXIST %1P11RUN.ZIP GOTO NOT14
ECHO UNPACKING P11RUN.ZIP--THE RUN-TIME ANIMATION ENGINE.  NEEDED FOR ALL
ECHO OTHER APPLICATIONS...
IF NOT EXIST %2\P11\P11RUN.EXE GOTO NOPRUN
DEL %2\P11\P11RUN.EXE
:NOPRUN
%1PKUNZIP.EXE %1P11RUN.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT14
IF NOT EXIST %1FARMER.ZIP GOTO NOT15
ECHO UNPACKING FARMER.ZIP--AN ANIMATED 256-COLOR CHILDREN'S STORY ABOUT A
ECHO FARMER.  CONTAINS SEVERAL 100 FRAMES OF ANIMATION... ALSO A CGA VERSION
%1PKUNZIP.EXE %1FARMER.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT15
IF NOT EXIST %1P11STUFF.ZIP GOTO NOT16
ECHO UNPACKING P11STUFF.ZIP--CONTAINS P11RUN.EXE, RUN.BAT, AND CATALOG.BAT
%1PKUNZIP.EXE %1P11STUFF.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT16
IF NOT EXIST %1FONT-CGA.ZIP GOTO NOT17
ECHO UNPACKING FONT-CGA.ZIP--THESE ARE FONTS FOR SCREEN MODES 4 AND 6...
%1PKUNZIP.EXE %1FONT-CGA.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT17
IF NOT EXIST %1FONTECGA.ZIP GOTO NOT18A
ECHO UNPACKING FONTECGA.ZIP--THESE ARE FONTS FOR SCREEN MODES 9 AND 14...
%1PKUNZIP.EXE %1FONTECGA.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT18A
IF NOT EXIST %1FONT-EGA.ZIP GOTO NOT18
ECHO UNPACKING FONT-EGA.ZIP--THESE ARE FONTS FOR SCREEN MODES 13 AND 16...
%1PKUNZIP.EXE %1FONT-EGA.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT18
IF NOT EXIST %1FONT-VGA.ZIP GOTO NOT19
ECHO UNPACKING FONT-VGA.ZIP--THESE ARE FONTS FOR SCREEN MODES 17, 18 AND 19...
%1PKUNZIP.EXE %1FONT-VGA.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT19
IF NOT EXIST %1INTRUDER.ZIP GOTO NOT20
ECHO UNPACKING INTRUDER.ZIP--THIS IS A SIMULATED ALARM SYSTEM FOR YOUR
ECHO COMPUTER.  DOESN'T REALLY DO ANYTHING BUT MIGHT FOOL A CROOK...
%1PKUNZIP.EXE %1INTRUDER.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT20
IF NOT EXIST %1P11.ZIP GOTO NOT21
ECHO UNPACKING P11.ZIP--THIS IS THE EDITOR VERSION OF OUR ANIMATION PROGRAM...
%1PKUNZIP.EXE %1P11.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT21
IF NOT EXIST %1ERRORS.ZIP GOTO NOT22
ECHO UNPACKING ERRORS.ZIP--THIS IS A LISTING OF ALL ERROR CODES USED BY
ECHO SOFTWARE FROM THE ANIMATED SOFTWARE COMPANY...
%1PKUNZIP.EXE %1ERRORS.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT22
IF NOT EXIST %1P11-EDUC.ZIP GOTO NOT23
ECHO UNPACKING P11-EDUC.ZIP--THIS CONTAINS LESSONS FOR USING THE P11 ANIMATION
ECHO EDITOR....
%1PKUNZIP.EXE %1P11-EDUC.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT23
IF NOT EXIST %1P11-DOCS.ZIP GOTO NOT24
ECHO UNPACKING P11-DOCS.ZIP--THIS IS THE *VITAL* DOCUMENTATION FOR USING P11
ECHO (WE SUGGEST YOU PRINT ALL THE DOCUMENTATION RIGHT AWAY!!!)
ECHO DOCUMENTATION WILL BE IN THE %2\P11\SYSTEM\HELP DIRECTORY AND PATH.
%1PKUNZIP.EXE %1P11-DOCS.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT24
IF NOT EXIST %1P11-PROG.ZIP GOTO NOT25
ECHO UNPACKING P11-PROG.ZIP--THIS CONTAINS THE EDITOR, UTILITY PROGRAMS,
ECHO AND ICONS THAT COMPRISE THE P11 ANIMATION EDITOR...
%1PKUNZIP.EXE %1P11-PROG.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT25
IF NOT EXIST %1HART_CGA.ZIP GOTO NOT26
ECHO UNPACKING HART_CGA.ZIP--THIS IS THE 4-COLOR VERSION OF OUR HUMAN HEART
ECHO LESSON...
%1PKUNZIP.EXE %1HART_CGA.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT26
IF NOT EXIST %1HARTMCGA.ZIP GOTO NOT27
ECHO UNPACKING HARTMCGA.ZIP--THIS IS THE 256-COLOR VERSION OF OUR HUMAN HEART
ECHO LESSON...
IF NOT EXIST %2\P11\HEART\README.BAT GOTO NOHRDB
DEL %2\P11\HEART\README.BAT
:NOHRDB
IF NOT EXIST %2\P11\HEART\README GOTO NOHRDME
DEL %2\P11\HEART\README
:NOHRDME
IF NOT EXIST %2\P11\HEART\HEART.BAT GOTO NOHBAT
DEL %2\P11\HEART\HEART.BAT
:NOHBAT
%1PKUNZIP.EXE %1HARTMCGA.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT27
IF NOT EXIST %1ERASEP11.ZIP GOTO NOT29
ECHO UNPACKING ERASEP11.ZIP--THIS PROGRAM WILL ERASE **EVERTHING** IN THE 
ECHO \P11 DIRECTORY AND **ALL** IT'S SUBDIRECTORIES.
%1PKUNZIP.EXE %1ERASEP11.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT29
IF NOT EXIST %1ENFI.ZIP GOTO NOT30
ECHO UNPACKING ENFI.ZIP--THIS ILLUSTRATES SIGN LANGUAGE FOR THE DEAF
%1PKUNZIP.EXE %1ENFI.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT30
IF NOT EXIST %1HRTINTRO.ZIP GOTO NOT31
ECHO UNPACKING HRTINTRO.ZIP--A DEMO OF OR HUMAN HEART LESSON
%1PKUNZIP.EXE %1HRTINTRO.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT31
IF NOT EXIST %1BEARING.ZIP GOTO NOT32
ECHO UNPACKING BEARING.ZIP--A DEMO OF BEARING MOVING IN SPACE
%1PKUNZIP.EXE %1BEARING.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT32
IF NOT EXIST %1HOUSE.ZIP GOTO NOT33
ECHO UNPACKING HOUSE.ZIP--ANIMATED HOUSEHOLD APPLIANCE(S)
%1PKUNZIP.EXE %1HOUSE.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT33
IF NOT EXIST %1SEWING.ZIP GOTO NOT34
ECHO UNPACKING SEWING.ZIP--ANIMATED SEWING MACHINE
%1PKUNZIP.EXE %1SEWING.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT34
IF NOT EXIST %1AUTOSHOP.ZIP GOTO NOT35
ECHO UNPACKING AUTOSHOP.ZIP--ANIMATED LESSON ABOUT HOW A CAR WORKS
%1PKUNZIP.EXE %1AUTOSHOP.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT35
IF NOT EXIST %1DIGEST.ZIP GOTO NOT36
ECHO UNPACKING DIGEST.ZIP--ANIMATED LESSON ABOUT YOUR DIGESTIVE SYSTEM
%1PKUNZIP.EXE %1DIGEST.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT36
IF NOT EXIST %1EXTRAS1.ZIP GOTO NOT37
ECHO UNPACKING EXTRAS1.ZIP--VARIOUS ANIMATIONS
%1PKUNZIP.EXE %1EXTRAS1.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT37
IF NOT EXIST %1EXTRAS2.ZIP GOTO NOT38
ECHO UNPACKING EXTRAS2.ZIP--VARIOUS ANIMATIONS
%1PKUNZIP.EXE %1EXTRAS2.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT38
IF NOT EXIST %1EXTRAS3.ZIP GOTO NOT39
ECHO UNPACKING EXTRAS3.ZIP--VARIOUS ANIMATIONS
%1PKUNZIP.EXE %1EXTRAS3.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT39
IF NOT EXIST %1EXTRAS4.ZIP GOTO NOT40
ECHO UNPACKING EXTRAS4.ZIP--VARIOUS ANIMATIONS
%1PKUNZIP.EXE %1EXTRAS4.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT40
IF NOT EXIST %1EXTRAS4.ZIP GOTO NOT41
ECHO UNPACKING SPACEDSP.ZIP--A COMICAL SPACECRAFT DISPLAY 
%1PKUNZIP.EXE %1SPACEDSP.ZIP %2\ -D
IF ERRORLEVEL 1 GOTO UNZIPERROR
:NOT41
GOTO EXIT
:INFO2
CLS
ECHO **********************************************************************       
ECHO ***     This batch file lets you UNZIP (decompress) programs from  ***
ECHO ***               The Animated Software Company.                   ***
ECHO **********************************************************************       
ECHO          Requires 2 parameters (in order, separated by spaces):
ECHO   1) The location (drive, path) of PKUNZIP.EXE and the P11 zipped files.
ECHO   2) The destination drive for the decompressed programs.
ECHO **********************************************************************       
ECHO                     A sample format might be:
ECHO                      INSTALL.BAT A: C:
ECHO                         This would mean:
ECHO    1) PKUNZIP and the P11 zipped files are on the A: drive.
ECHO    2) You want the programs on the C: drive. (They will be in \P11.)
ECHO **********************************************************************       
ECHO      You cannot specify a destination path.  Instead, all A.S.Co.
ECHO    products will be put in the \P11 path on the destination drive.
ECHO **********************************************************************       
PAUSE
CLS
GOTO INFO
:UNZIPERROR
ECHO  *********  E  R  R  O  R  !  *********
PAUSE
CLS
ECHO  ****  E  R  R  O  R  ! (continued) ****
ECHO     Could not unzip all the programs!
ECHO     Please be sure you have specified
ECHO     the paramaters properly and have
ECHO     ample space on the destination
ECHO     drive for the UNZIP. (None require
ECHO     more than 4 times their ZIPPED size.)
ECHO  *********  *  *  *  *  *  *  *********
:INFO
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ECHO !! FOR ASSISTANCE, PLEASE CONTACT: !!
ECHO !!  THE ANIMATED SOFTWARE COMPANY  !!
ECHO !!     America Online:RUSSELL DH   !!
ECHO !!     Compuserve:71333,721        !!
ECHO !!     Phone:(800) 551-2726        !!
ECHO !!           (619) 720-7261        !!
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
PAUSE 
:EXIT
ECHO ON
